Skip to navigation

Delete membership data

View as Markdown

Deletes the data for a single account membership for a specified user.

To call this endpoint:

  • You must be an administrator (or delegated administrator) of the specified account.
  • The user must have been closed for at least 24 hours.

Note: After a user’s data is deleted for every account to which they belong, their user-level data will automatically be deleted.

Required authentication scopes: user_data_redact.

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the account from which to delete the user's data.

Request

This endpoint expects an object: IndividualMembershipDataRedactionRequest

user_idstringOptionalformat: "uuid"
The ID of the user whose data you want to delete.

Response

OK
membership_resultslist of objectsOptional
A list of objects describing the status of the deletion request for each account.
statusenumOptional
The overall status of the data deletion request.
Allowed values:
user_idstringOptionalformat: "uuid"
The ID of the user.